Skip to main content
GET
/
api
/
v1
/
client
/
prompts
/
samples
/
price-calculation
cURL
curl --request GET \
  --url https://api.deapi.ai/api/v1/client/prompts/samples/price-calculation \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.deapi.ai/api/v1/client/prompts/samples/price-calculation"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.deapi.ai/api/v1/client/prompts/samples/price-calculation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "price": 0.00012345
}
{
"data": {},
"message": "<string>",
"errors": [
{
"field": "<string>",
"messages": [
"<unknown>"
]
}
],
"statusCode": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>
required

Type of sample prompt to generate

Available options:
text2image,
text2speech
Example:

"text2image"

topic
string | null

Optional topic to base the prompt on

Maximum string length: 500
Example:

"cyberpunk cityscape at night"

lang_code
string | null

Optional language code for text-to-speech prompts

Maximum string length: 4
Example:

"en"

Response

Price calculation returned successfully

price
number<float>
Example:

0.00012345